Bug 54420 - gcj Internal error: segv
Summary: gcj Internal error: segv
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-07 04:41 UTC by Idcmp
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-10 19:46:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Name.java from dnsjava-1.2.3 (13.01 KB, text/plain)
2001-10-07 04:44 UTC, Idcmp
no flags Details

Description Idcmp 2001-10-07 04:41:38 UTC
Attached is Name.java from the dnsjava project.  It causes gcj
(gcc-java-2.96-85) to seg fault when compiling line 243.  

To reproduce: gcj -c Name.java

Comment 1 Idcmp 2001-10-07 04:44:05 UTC
Created attachment 33541 [details]
Name.java from dnsjava-1.2.3

Comment 2 Jakub Jelinek 2001-10-10 19:46:00 UTC
Does it fail with gcj3 (from gcc3-java package in rawhide) too?
Java front end was still in heavy development when 2.96-RH was cut, so I
consider gcj 2.96-RH more as a preview release. On the other hand, gcj3
should work much better.

Comment 3 Idcmp 2001-10-14 23:28:05 UTC
Fixed in gcc3-java-3.0.1-3.



Note You need to log in before you can comment on or make changes to this bug.